<?php
/**
* @copyright Copyright (C) 2010 Pixel Praise LLC. All rights reserved.
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<link href='http://fonts.googleapis.com/css?family=Lobster|Old+Standard+TT:b|Yanone+Kaffeesatz:b' rel='stylesheet' type='text/css'>
<?php // Detecting Home
$menu = & JSite::getMenu();
if ($menu->getActive() == $menu->getDefault()) {
$siteHome = 1;
} else {
$siteHome = 0;
}

// Detecting Active Variables
$option = JRequest::getCmd('option', '');
$view = JRequest::getCmd('view', '');
$layout = JRequest::getCmd('layout', '');
$task = JRequest::getCmd('task', '');
$itemid = JRequest::getCmd('Itemid', '');
$templateTheme = $this->params->get('templateTheme');
$bgColor = $this->params->get('bgColor');
$fontFamily = $this->params->get('fontFamily');
$switchSidebar = $this->params->get('switchSidebar');
$menuType = $this->params->get('menuType');
$headingFontFamily = "heading-" . $this->params->get('headingFontFamily');
$siteSlogan = $this->params->get('siteSlogan');

if($this->params->get('siteTitle')){
$siteTitle = $this->params->get('siteTitle');
} else {
$siteTitle = $mainframe->getCfg('sitename');
}

// set custom template theme for user
$user = &JFactory::getUser();
if( !is_null( JRequest::getCmd('templateTheme', NULL) ) ) {
$user->setParam($this->template.'_theme', JRequest::getCmd('templateTheme'));
$user->save(true);
}
if($user->getParam($this->template.'_theme')) {
$this->params->set('templateTheme', $user->getParam($this->template.'_theme'));
}

if($task == "edit" || $layout == "form" ) {
$fullWidth = 1;
} else {
$fullWidth = 0;
}
?>
<jdoc:include type="head" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/system/css/general.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/system/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/css/template.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/css/<?php echo $this->params->get('templateTheme'); ?>.css" type="text/css" />
<style type="text/css">
<?php if(($this->countModules('left') == 0) && ($this->countModules('right') == 0)) { ?>
#mainbody{width:100%; background:none;} #content{width:100%;}
<?php } ?>
<?php if(($this->countModules('left') >= 1) && ($this->countModules('right') == 0)) { ?>
#mainbody{width:100%;}#content{width:700px;}
<?php } ?>
<?php if(($this->countModules('left') == 0) && ($this->countModules('right') >= 1)) { ?>
#mainbody{background:none;} #content{width:100%;}
<?php } ?>
<?php if($this->params->get('fontColor')){ ?>
body{color:<?php echo $this->params->get('fontColor'); ?>}
<?php } ?>
<?php if($this->params->get('headingColor')){ ?>
h1, h2, h3, h4, h5, h6, .componentheading, .contentheading{color:<?php echo $this->params->get('headingColor'); ?>}
<?php } ?>
<?php if($this->params->get('linkColor')){ ?>
a:link, a:active, a:visited{color:<?php echo $this->params->get('linkColor'); ?>}
<?php } ?>
<?php if($this->params->get('linkHoverColor')){ ?>
a:hover{color:<?php echo $this->params->get('linkHoverColor'); ?>}
<?php } ?>
<?php if($fullWidth){ ?>
#mainbody{width:100%; background:none;} #content{width:100%;} #sidebar{display:none;} #sidebar2{display:none;}
<?php } ?>
</style>
</head>
<body class="<?php echo $option . " " . $view . " " . $layout . " " . $task . " " . $itemid . " " . $fontFamily . " " . $headingFontFamily;?>  <?php if($siteHome){ echo "homepage";}?> sidebar-<?php echo $switchSidebar;?>">
<div id="header">
  <div id="header-inner">
    <div class="width">
      <div class="inside"> 
        <a href="<?php echo $mainframe->getCfg('live_site'); ?>" id="logo" title="<?php echo $mainframe->getCfg('sitename'); ?>">
        <h1><?php echo $mainframe->getCfg('sitename'); ?></h1>
        </a>
        <?php if ($this->countModules('user3')) { ?>
        <div id="topmenu">
          <jdoc:include type="modules" name="user3" />
        </div>
        <?php } ?>
        <?php if($siteSlogan){?>
        <div id="slogan"><?php echo $siteSlogan;?></div>
        <?php } ?>
        <div class="clr"></div>
      </div>
    </div>
  </div>
</div>
<?php if (($this->countModules('breadcrumb')) || ($this->countModules('social'))) { ?>
<div id="pathway">
  <div id="pathway-inner">
    <div class="width">
      <div class="inside">
        <jdoc:include type="modules" name="breadcrumb" />
        <?php if ($this->countModules('social')) { ?>
        <div id="social">
        	<jdoc:include type="modules" name="social" />
        </div>
        <?php } ?>
        <div class="clr"></div>
      </div>
    </div>
  </div>
</div>
<?php } ?>
<?php if (($this->countModules('user1')) || ($this->countModules('user2')) || ($this->countModules('top'))) { ?>
<div id="inset">
  <div id="inset-inner">
    <div class="width">
      <div class="inside">
        <table class="inset">
          <tr>
            <?php if ($this->countModules('top')) { ?>
            <td class="inset1"><jdoc:include type="modules" name="top" style="xhtml" /></td>
            <?php } ?>
            <?php if ($this->countModules('user1')) { ?>
            <td class="inset2"><jdoc:include type="modules" name="user1" style="xhtml" /></td>
            <?php } ?>
            <?php if ($this->countModules('user2')) { ?>
            <td class="inset3"><jdoc:include type="modules" name="user2" style="xhtml" /></td>
            <?php } ?>
          </tr>
        </table>
        <div class="clr"></div>      
      </div>
    </div>
  </div>
</div>
<?php } ?>
<?php if ($this->countModules('banner')) { ?>
<div id="banner">
  <div class="width">
    <div class="inside">
      <jdoc:include type="modules" name="banner" style="xhtml" />
      <div class="clr"></div>
    </div>
  </div>
</div>
<?php } ?>
<div id="wrapper">  
  <div id="container">
    <div class="width">
      <div class="inside">
        <div id="mainbody">
          <div id="content">
            <div id="content-inner">
              <jdoc:include type="message" />
              <div class="clr"></div>
              <jdoc:include type="modules" name="before" style="xhtml" />
              <jdoc:include type="component" />
              <jdoc:include type="modules" name="after" style="xhtml" />
              <div class="clr"></div>
            </div>
          </div>
          <?php if ($this->countModules('left')) { ?>
          <div id="sidebar">
            <div id="sidebar-inner">
              <jdoc:include type="modules" name="left" style="xhtml" />
            </div>
          </div>
          <?php } ?>
          <div class="clr"></div>
        </div>
        <?php if ($this->countModules('right')) { ?>
        <div id="sidebar2">
          <div id="sidebar2-inner">
            <jdoc:include type="modules" name="right" style="xhtml" />
          </div>
        </div>
        <?php } ?>
        <div class="clr"></div>
      </div>
    </div>
  </div>
  <?php if (($this->countModules('user6')) || ($this->countModules('user7')) || ($this->countModules('user8')) || ($this->countModules('user9'))) { ?>
  <div id="bottom">
    <div id="bottom-inner">
  	<div class="width">
    <div class="inside">
      <table class="bottom">
        <tr>
          <?php if ($this->countModules('user6')) { ?>
          <td class="bottom1"><jdoc:include type="modules" name="user6" style="xhtml" /></td>
          <?php } ?>
          <?php if ($this->countModules('user7')) { ?>
          <td class="bottom2"><jdoc:include type="modules" name="user7" style="xhtml" /></td>
          <?php } ?>
          <?php if ($this->countModules('user8')) { ?>
          <td class="bottom3"><jdoc:include type="modules" name="user8" style="xhtml" /></td>
          <?php } ?>
          <?php if ($this->countModules('user9')) { ?>
          <td class="bottom4"><jdoc:include type="modules" name="user9" style="xhtml" /></td>
          <?php } ?>
        </tr>
      </table>
      <div class="clr"></div>
    </div>
    </div>
    </div>
  </div>
  <?php } ?>
  <?php if (($this->countModules('footer')) || ($this->countModules('user5'))) { ?>
  <div id="footer">
    <div class="width">
      <div class="inside">
        <?php if ($this->countModules('footer')) { ?>
        <div id="copy">
          <jdoc:include type="modules" name="footer" />
          <?php if ($_SERVER["REQUEST_URI"] == '/') { ?>
 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                               <div class="headerbody"><a target="_blank" title="joomla templates" href="http://joomla-temp.ru">templates joomla 1.5</a></div>
        <?php } ?>        <?php } ?>
        <?php if ($this->countModules('user5')) { ?>
        <div id="link">
          <jdoc:include type="modules" name="user5" style="xhtml" />
        </div>
        <?php } ?>
        <div class="clr"></div>
      </div>
    </div>
  </div>
  <?php } ?>
  <jdoc:include type="modules" name="debug" />
  <div class="clr"></div>
</div>
</body>
</html>
